@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300&family=Yeon+Sung&family=ZCOOL+QingKe+HuangYou&display=swap');
* {
    box-sizing: border-box;
    margin: 0px;
    padding: 0px;
}
body {
    /* background-color: #3A3A3C; */
    background-color: #2c2c2c;
    font-family: 'Open Sans', sans-serif;
}

.tux {
    width: 100%;
    height: 100%;
    position: absolute;
    /* box-sizing: content-box; */
    color: white;
    background-color: white;
}
.tux:hover {
    opacity: 0.5;
    z-index: 200;
}

/* NAV  */
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 12vh;
    /* background-color: #2c2c2c; */
}
.logo-box {
    width: 25vw;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.logo-img {
    /* height: 55px; */
    height: 7vh;
    width: auto ;
    margin: 20px 20px;
}
.logo-text {
    font-family: "Bungee Spice", sans-serif;
    font-size: 60px;
    font-weight: 400;
    font-style: normal;
}
.exit {
    height: 33px;
    width: 33px;
    margin-top: auto;
    margin-bottom: auto;
    /* margin-right: 60px; */
    margin-left: 30px;
    cursor: pointer;
    /* padding: 2px; */
    /* transition: 1s; */
    
}
.exit:hover {
    border: 2px solid white;
    border-left: 0px;
    border-radius: 3px 20px 20px 3px;
}

.slide {
    animation: slide 1.5s;
    /* position: relative;
    left: 100px; */
}
@keyframes slide {
    0% {transform: translateX(0px);}
    50% {transform: translateX(150px);}
    100% {transform: translateX(0px);}
}
.user-box {
    width: 6vw;
}
.user-img {
    height: 55px;
    width: auto ;
    margin: auto;
    cursor: pointer;
}
.user-img:hover {
    height: 60px;
    width: auto ;
}




/* ASIDE */
a {
    text-decoration: none;
    color: #E5E5EA;
}
.aside {
    width: 15vw;
    height: 88vh;
    /* background-color: #2c2c2c; */
    /* clear: both; */
    float: left;
}
.aside-box {
    display: flex;
    flex-direction: column;

}
.aside-box img {
    height: 33px;
    width: 33px;
    margin-left: 57px;
    margin-right: 3vw;
    cursor: pointer;
}
.aside-box p {
    margin-top: 7px;
    margin-right: 36px;
    margin-left: 46px;
}

.aside-box img:hover {
    transform: translateX(2px);
}
.tv {
    margin-top: 30vh;
    /* margin-bottom: 20px; */
}
.folder {
    margin-top: 20px;
    margin-bottom: 20px;
}
.document {
    margin-top: 20px;
    margin-bottom: 20px;
}
.pImpo {
    /* text-decoration: none; */
    font-style: normal;
    font-weight: normal;
    font-size: 17px;
    /* line-height: 23px; */
    width: auto;
    /* color: #E5E5EA; */
    /* background-color: #3A3A3C; */
    padding: 10px;
    border-radius: 10px;  
    /* transition: 0.5s;   */
    /* margin-top: 10px; */
    /* margin-bottom: 5px; */
    cursor: pointer;
}
.pImpo:hover {
    background-color: #3A3A3C;
}

.doubt {
    margin-bottom: 7vh;
}


/* SECTION */
.main {
    /* border: 2px solid white; */
    width: 83.6vw;
    height: 1343px;
    float: right;
    /* clear: both; */
    background-color: #323233;
    border-top-left-radius: 15px;
}
.illu {
    width: 160px;
    height: auto;
    float: right;
    margin: 15px 15px;
    /* justify-self: center; */
}
.calender {
    width: 80px;
    height: auto;   
    margin: 0px 20px;
    grid-area: calender;
}
.date-box {
    grid-area: calender-content;
}
.intro-img {
    width: 300px;
    height: auto;
}
.timex, .date, .intro-title {
    color: #E5E5EA;
}
.next-session, .intro-sir {
    color: #C9C9C9;
}
.timex {
    font-style: normal;
    font-weight: 600;
    font-size: 88px;
    line-height: 100%;
    /* or 88px */

    letter-spacing: -0.01em;
    margin: 20px 20px;
}
.intro-title {
    /* font-family: Roboto; */
    font-style: normal;
    font-weight: bold;
    font-size: 17px;
    line-height: 20px;  
    letter-spacing: 0.5px;
}
.intro-sir, .intro-title {
    padding: 2px 10px;
}
.grid-container {
    display: grid;
    grid-template-areas: 'time-container time-container time-container intro-container';
    grid-gap: 8.2vw;
    margin-bottom: 50px;
}
.time-container {
    grid-area: time-container;
    background-color: #3a3a3c;
    border-radius: 15px;
    margin-top: 50px;
    margin-left: 50px;
    display: grid;
    grid-template-areas: 'timex-container timex-container timex-container timex-container'
                         'calender-container calender-container calender-container illu-container'
                         'calender-container calender-container calender-container illu-container';
}
.time-container:hover {
    box-shadow: 10px 10px;
    transform: scale(1.01);
    /* box-shadow: 100% 100%; */
}

.intro-container {
    width: 300px;
    grid-area: intro-container;
    background-color: #3a3a3c;
    border-radius: 15px;
    margin-top: 50px;
}
.intro-container:hover {
    box-shadow: 10px 10px;
    transform: scale(1.01);
}
.timex-container {
    grid-area: timex-container;
}
.calender-container {
    grid-area: calender-container;
    display: grid;
    align-items: center;
    grid-template-areas: 'calender calender-content calender-content calender-content calender-content calender-content calender-content calender-content calender-content calender-content calender-content calender-content calender-content calender-content calender-content';
}
.illu-container {
    grid-area: illu-container;
    align-self: center;
}
.date {
    font-style: normal;
    font-weight: 600;
    font-size: 22px;
    line-height: 30px;
    color: #E5E5EA;
}
.next-session {
    font-style: normal;
    font-weight: normal;
    font-size: 17px;
    line-height: 23px;
    color: #929292;
}


/* LECTURES */
.lecture-main {
    height: 942px;
    display: grid;
    grid-template-areas: 'lecture-time lecture-time lecture-time lecture-info lecture-info lecture-info lecture-info lecture-info';
}
.lecture-time {
    grid-area: lecture-time;
    /* background-color: burlywood; */
    display: flex;
    flex-direction: column;
}
.lecture-timex {
    /* border: 2px solid white; */
    height: 147px;
    margin-top: 5px;
    margin-bottom: 5px;
    margin: auto;
    font-style: normal;
    font-weight: normal;
    font-size: 20px;
    line-height: 27px;
    color: #8B8B8B;
    /* padding-top: 20px; */
    /* border-top: 1px solid #8B8B8B; */
}
.lecture-info {
    grid-area: lecture-info;
    /* background-color: rgb(119, 84, 39); */
}

.lecture-card {
    height: 294px;
    width: 85%;
    margin: auto;
    background: #3A3A3C;
    border-radius: 15px;
    display: grid;
    grid-template-areas: 'card-title card-title'
                         'card-preview card-time'
                         'card-buttons card-buttons';
    position: relative;
    top: 73.5px;                     
}
.lecture-card:hover {
    box-shadow: 10px 10px;
    transform: scale(1.01);
}
.preview-img, .preview-img2 {
    height: 100px;
    width: auto;
    margin-right: 10px;
}
.preview-img:hover {
    height: 100px;
    width: auto;
    border: 5px solid black;
    border-radius: 10px;
    cursor: pointer;
}
.card-title {
    grid-area: card-title;
    margin: 5px 10px 0px 10px;
}
.card-preview {
    grid-area: card-preview;
    margin: 5px 20px 0px 20px;
}
.card-time {
    grid-area: card-time;
    /* width: 40%; */
    /* display: flex;
    flex-direction: row; */
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    align-items: center;
}
.card-buttons {
    grid-area: card-buttons;
    display: flex;
    justify-content: space-evenly;
}
.para-text {
    font-style: normal;
    font-weight: 600;
    font-size: 23px;
    line-height: 31px;
    color: #E5E5EA;
    margin: 5px 10px 0px 10px;
}
.para-time {
    font-style: normal;
    font-weight: normal;
    font-size: 15px;
    line-height: 20px;
    color: #929292;
    margin-top: 0px;
    padding-top: 0px;
    margin: 5px 10px 0px 10px;
}
/* .btn {
    width: 480px;
    height: 40px;
    background: #48484A;
    border: none;
    border-radius: 10px;
} */
.btn-shade {
    font-style: normal;
    font-weight: normal;
    font-size: 17px;
    line-height: 23px;  
    color: #858585;
    width: 470px;
    height: 50px;
    background: #48484A;
    border: none;
    border-radius: 10px;
}
.btn-shade:hover {
    color: white;
    border: 1px solid white;
    cursor: pointer;
}
.btn-shade2:hover {
    border: 2px soldi black;
}
.btn-blue {
    font-style: normal;
    font-weight: normal;
    font-size: 17px;
    line-height: 23px;
    color: #E5E5EA;
    width: 470px;
    height: 50px;
    background: #007AFF;
    border: none;
    border-radius: 10px;
}
.btn-blue:hover {
    background-color: #0e56a3;
    /* color: black; */
    cursor: pointer;
}
.rset {
    color: black;
}
.bold {
    font-style: normal;
    font-weight: 600;
    font-size: 56px;
    line-height: 76px;
    color: #E5E5EA;
    padding-bottom: 0px;
    text-align: center;
}
.modify {
    font-style: normal;
    font-weight: normal;
    font-size: 15px;
    line-height: 20px;  
    color: #929292;
    padding-top: 0px;
    text-align: center;
}

/* END POINTS */
.end-head {
    font-family: 'Rubik Mono One', monospace;
    color: white;
    font-size: 150px;
    text-align: center;
    margin-top: 100px;
    /* line-height: 100px; */
}
.end-desc {
    font-family: 'Rubik Mono One', monospace;
    color: white;
    font-size: 30px;
    text-align: center;
}
.gear {
    height: 30px;
    width: 30px;
    border: 5px solid white;
    margin: 20px;
    border-radius: 100px;
    border-color: white red;
    animation: rotat 1s linear infinite;
}
@keyframes rotat {
    0% {
        transform: rotate(0);
    } 
    50% {
        transform:rotate(180);
    }
    100% {
        transform: rotate(0);
    }
}

.end-contain {
    display: flex;
    justify-content: center;
    align-items: center;
    /* animation: rotat 1s linear infinite; */
}
